/* alternating layout only for ≥ 767px */
@media (min-width: 767px) {

    .single-spec:nth-child(even) {
        transform: translateY(60px);
    }

}

/* laptop */
@media (max-width: 1024px) {
	.contact-left {
		left: -55px;
	}
    .services-grid {
        grid-template-columns: repeat(2, 1fr);
    }
.footer-grid{
        grid-template-columns: repeat(2,1fr);
    }
    .our-specs-content {
        grid-template-columns: repeat(2, 1fr);
    }

    .single-spec:nth-child(even) {
        transform: translateY(40px);
    }

    .industries-grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width:992px) {
	 .contact-left {
     position: static;
        width: 100%;
        transform: none;
        margin-bottom: 20px;
    }
	
    .contact-right {
        padding: 30px;
    }
    .map-wrapper {
        grid-template-columns: 1fr;
    }

    .hero-content.flx-row.align-center.jstfy-space-between {
        flex-direction: column;
        gap: 40px;
    }

    .hero-image img {
        height: auto;
    }

    .half-box {
        max-width: 100%;
    }

    .map-box {
        height: 300px;
    }

    .header-content {
        flex-direction: column;
        align-items: flex-start;
    }
.logo img{
    width: 120px;
}
    .logo {
        max-width: 100%;
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    /* Menu container */
    .header-menus {
        width: 100%;
    }

    .header-links ul {
        flex-direction: column;
        width: 100%;
        background: #fff;
        margin-top: 10px;
        display: none;
        /* hidden by default */
    }

    .header-links ul li {
        width: 100%;
        text-align: left;
        padding: 10px 0;
        border-bottom: 1px solid #eee;
    }

    .header-links ul li a {
        display: block;
        width: 100%;
        padding: 8px 10px;
    }

    /* Show menu when active */
    .header-links.active ul {
        display: flex;
    }

    .active-header {
        min-height: 100dvh;
    }

    /* Optional: hamburger button */
    .menu-toggle {
        display: block;
        cursor: pointer;
        font-size: 22px;
		font-weight: bolder;
    }
	footer a.custom-logo-link img{
margin:0 auto;}
	
	.site-footer{
		padding:40px 0px;
	}
	
	.header-links ul {
    gap: 10px;
}

}

@media (max-width: 768px) {
    .hero-sec {
        padding-top: 200px;
    }
.service-feature-content.flx-row.jstfy-space-between.align-center,.service-content-wrapper.flx-row.jstfy-space-between.align-center {
    flex-direction: column;
	gap: 40px;}
    .hero-sec .container {
        padding: 0;
    }
.nb-grid,
  .nb-philo-grid,
  .nb-deliver-grid{
    grid-template-columns:1fr;
  }
    .hero-text.half-box {
        padding: 0 20px;
    }
	.nb-ceo {
    padding: 30px 0;
}
	.nb-container {
		padding: 30px 0;}
	 .nb-ceo-wrapper{
    grid-template-columns: 1fr;
  }

  .nb-ceo-image{
    max-width: 100%;
  }
	
	.service-header{
		height: 50dvh;
	}
}

/* mobile */
@media (max-width: 767px) {

    .our-specs-content {
        grid-template-columns: 1fr;
    }
.contact-sec {
	padding: 140px 20px 60px 20px;}
    .single-spec {
        transform: none !important;
    }

    .hero-sec {
        padding-top: 160px;
    }

    h1 {
        font-size: 30px;
    }

    h2 {
        font-size: 24px;
    }

    h3 {
        font-size: 22px;
    }

    h4 {
        font-size: 20px;
    }

    .all-content.flx-row.jstfy-space-between.align-center {
        flex-direction: column;
        gap: 30px;
    }
 .footer-grid{
        grid-template-columns:1fr;
        text-align:center;
    }

    .footer-col h5::after{
        margin:8px auto 0;
    }

    .footer-col ul li a:hover{
        padding-left:0;
    }
    .sec-padding {
        padding: 30px 0;
    }

    .footer-logo {
        margin: 0 auto 20px auto;
    }

    .footer-social a {
        justify-content: center;
    }

    .footer-bottom {
        margin-top: 20px;
    }
}

/* mobile */
@media (max-width:600px) {

    .industries-grid {
        grid-template-columns: 1fr;
    }

    .services-grid {
        grid-template-columns: 1fr;
    }
}